Back to Reddit
TikHub·Reddit
Reddit APP: Fetch Reddit APP Subreddit Post Channels
/api/v1/reddit/app/fetch_subreddit_post_channelssync$0.0015 / callFetch post channel information of a specified Reddit APP subreddit (TikHub · Reddit APP)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| language | string | — | Preferred response language as an IETF language tag; default: en-US (default "en-US") |
| subreddit_name | string | — | Subreddit name (default "pics") |
| sort | string (BEST, HOT, NEW, TOP, CONTROVERSIAL, RISING) | — | Sort method: HOT, NEW, TOP, CONTROVERSIAL, RISING (default "HOT") |
| range | string (ALL, HOUR, DAY, WEEK, MONTH, YEAR) | — | Time range: HOUR, DAY, WEEK, MONTH, YEAR, ALL (default "DAY") |
| need_format | boolean | — | Whether to clean and format the data (default false) |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/reddit/app/fetch_subreddit_post_channels","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.